﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <RootNamespace>xAPI_Definitions_Parser</RootNamespace>
    <ApplicationIcon />
    <OutputType>Library</OutputType>
    <StartupObject />
    <SignAssembly>false</SignAssembly>
    <AssemblyOriginatorKeyFile>Key.snk</AssemblyOriginatorKeyFile>
    <DelaySign>false</DelaySign>
    <AssemblyName>xAPI_Definitions_Parser</AssemblyName>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="BaseClasses\CSharp\xAPI_Activities.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Activity.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Actor.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Body.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Context.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Definition.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Extension.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Extensions.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Statements.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Verb.cs" />
    <Compile Remove="BaseClasses\CSharp\xAPI_Verbs.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="BaseClasses\JavaScript\xAPI_Activities.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Activity.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Actor.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Body.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Context.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Definition.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Extension.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Extensions.js" />
    <None Remove="BaseClasses\JavaScript\xapi_statements.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Verb.js" />
    <None Remove="BaseClasses\JavaScript\xAPI_Verbs.js" />
    <None Remove="BaseClasses\Python\xAPI_Activities.py" />
    <None Remove="BaseClasses\Python\xAPI_Activity.py" />
    <None Remove="BaseClasses\Python\xAPI_Actor.py" />
    <None Remove="BaseClasses\Python\xAPI_Body.py" />
    <None Remove="BaseClasses\Python\xAPI_Context.py" />
    <None Remove="BaseClasses\Python\xAPI_Definition.py" />
    <None Remove="BaseClasses\Python\xAPI_Extension.py" />
    <None Remove="BaseClasses\Python\xAPI_Extensions.py" />
    <None Remove="BaseClasses\Python\xapi_statements.py" />
    <None Remove="BaseClasses\Python\xAPI_Verb.py" />
    <None Remove="BaseClasses\Python\xAPI_Verbs.py" />
    <None Remove="BaseClasses\Python\__init__.py" />
    <None Remove="Key.snk" />
    <None Remove="xAPI_Definitions_Parser.dll.config" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="xAPI_Definitions_Parser.dll.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Statements.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Activities.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Activity.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Actor.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Body.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Context.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Definition.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Extension.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Extensions.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Verb.cs" />
    <EmbeddedResource Include="BaseClasses\CSharp\xAPI_Verbs.cs" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_statements.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_activities.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_activity.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_actor.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_body.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_context.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_definition.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_extension.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_extensions.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_verb.js" />
    <EmbeddedResource Include="BaseClasses\JavaScript\xapi_verbs.js" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_statements.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_activities.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_activity.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_actor.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_body.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_context.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_definition.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_extension.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_extensions.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_verb.py" />
    <EmbeddedResource Include="BaseClasses\Python\xapi_verbs.py" />
    <EmbeddedResource Include="BaseClasses\Python\__init__.py" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.CodeAnalysis" Version="4.1.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="6.0.0" />
  </ItemGroup>

</Project>
